function Y = argyris01(X,Y,U,COEFF)
  
COEFF = COEFF(:);
X1 = X(1); X2 = X(2); X3 = X(3); Y1 = Y(1); Y2 = Y(2); Y3 = Y(3);
X21 = X2 - X1; X31 = X3 - X1; X32 = X3 - X2;
Y21 = Y2 - Y1; Y31 = Y3 - Y1; Y32 = Y3 - Y2;
X4 = (X1+X2)/2; X5 = (X2+X3)/2; X6 = (X3+X1)/2; 
Y4 = (Y1+Y2)/2; Y5 = (Y2+Y3)/2; Y6 = (Y3+Y1)/2; 
X13 = - X31; Y13 = - Y31; X12 = - X21; Y12 = - Y21;
X23 = - X32; Y23 = - Y32;
DET = X21*Y31 - X31*Y21;
L1 = sqrt(X21^2 + Y21^2); L2 = sqrt(X32^2 + Y32^2);
L3 = sqrt(X31^2 + Y31^2);
% -- Components of normals ------ 
C4 =  - Y21/L1; S4 =   X21/L1;
C5 =  - Y32/L2; S5 =   X32/L2;
C6 =  - Y13/L3; S6 =   X13/L3;
% -- Construction of inverse of design matrix 
BB_1 = [1, X1, Y1, X1^2, X1*Y1, Y1^2, X1^3, X1^2*Y1, X1*Y1^2, Y1^3,...
        X1^4, X1^3*Y1, X1^2*Y1^2, X1*Y1^3, Y1^4,...
        X1^5, X1^4*Y1, X1^3*Y1^2, X1^2*Y1^3, X1*Y1^4, Y1^5;  
        % 
        1, X2, Y2, X2^2, X2*Y2, Y2^2, X2^3, X2^2*Y2, X2*Y2^2, Y2^3,...
        X2^4, X2^3*Y2, X2^2*Y2^2, X2*Y2^3, Y2^4,...
        X2^5, X2^4*Y2, X2^3*Y2^2, X2^2*Y2^3, X2*Y2^4, Y2^5;   
        %
        1, X3, Y3, X3^2, X3*Y3, Y3^2, X3^3, X3^2*Y3, X3*Y3^2, Y3^3,...
        X3^4, X3^3*Y3, X3^2*Y3^2, X3*Y3^3, Y3^4,...
        X3^5, X3^4*Y3, X3^3*Y3^2, X3^2*Y3^3, X3*Y3^4, Y3^5];   
       % 1. derivative w.r.t. x
BB_2 = [0, 1, 0, 2*X1, Y1, 0, 3*X1^2, 2*X1*Y1, Y1^2, ...
        0, 4*X1^3, 3*X1^2*Y1, 2*X1*Y1^2, Y1^3, 0,...
        5*X1^4, 4*X1^3*Y1, 3*X1^2*Y1^2, 2*X1*Y1^3, Y1^4,0;
        %
        0, 1, 0, 2*X2, Y2, 0, 3*X2^2, 2*X2*Y2, Y2^2, 0,...
        4*X2^3, 3*X2^2*Y2, 2*X2*Y2^2, Y2^3, 0,...
        5*X2^4, 4*X2^3*Y2, 3*X2^2*Y2^2, 2*X2*Y2^3, Y2^4,0;
        %
        0, 1, 0, 2*X3, Y3, 0, 3*X3^2, 2*X3*Y3, Y3^2, 0,...
        4*X3^3, 3*X3^2*Y3, 2*X3*Y3^2, Y3^3, 0,...
        5*X3^4, 4*X3^3*Y3, 3*X3^2*Y3^2, 2*X3*Y3^3, Y3^4,0];
        % 1. derivative w.r.t. y
BB_3 =  [0, 0, 1, 0, X1, 2*Y1, 0, X1^2, 2*X1*Y1, 3*Y1^2,...
         0, X1^3, 2*X1^2*Y1, 3*X1*Y1^2, 4*Y1^3, 0, ...
         X1^4, 2*X1^3*Y1, 3*X1^2*Y1^2, 4*X1*Y1^3, 5*Y1^4;
        %
        0, 0, 1, 0, X2, 2*Y2, 0, X2^2, 2*X2*Y2, 3*Y2^2,...
        0, X2^3, 2*X2^2*Y2, 3*X2*Y2^2, 4*Y2^3, 0, ...
        X2^4, 2*X2^3*Y2, 3*X2^2*Y2^2, 4*X2*Y2^3, 5*Y2^4;
        %
        0, 0, 1, 0, X3, 2*Y3, 0, X3^2, 2*X3*Y3, 3*Y3^2,...
        0, X3^3, 2*X3^2*Y3, 3*X3*Y3^2, 4*Y3^3, 0, ...
        X3^4, 2*X3^3*Y3, 3*X3^2*Y3^2, 4*X3*Y3^3, 5*Y3^4];
        % 2. derivative w.r.t. x
BB_4 = [ 0, 0, 0, 2, 0, 0, 6*X1, 2*Y1, 0, 0, ...
       12*X1^2, 6*X1*Y1, 2*Y1^2, 0, 0, ...
       20*X1^3, 12*X1^2*Y1, 6*X1*Y1^2, 2*Y1^3, 0, 0;
        %             
       0, 0, 0, 2, 0, 0, 6*X2, 2*Y2, 0, 0, ...
       12*X2^2, 6*X2*Y2, 2*Y2^2, 0, 0, ...
       20*X2^3, 12*X2^2*Y2, 6*X2*Y2^2, 2*Y2^3, 0, 0;
        %
       0, 0, 0, 2, 0, 0, 6*X3, 2*Y3, 0, 0, ...
       12*X3^2, 6*X3*Y3, 2*Y3^2, 0, 0, ...
       20*X3^3, 12*X3^2*Y3, 6*X3*Y3^2, 2*Y3^3, 0, 0];
        % derivative w.r.t. x and y
BB_5  = [0, 0, 0, 0,  1, 0, 0, 2*X1, 2*Y1, 0, 0, ...
         3*X1^2, 4*X1*Y1, 3*Y1^2, 0, 0, ...
         4*X1^3, 6*X1^2*Y1, 6*X1*Y1^2, 4*Y1^3, 0;  
         %      
         0, 0, 0, 0, 1, 0, 0, 2*X2, 2*Y2, 0, 0, ...
         3*X2^2, 4*X2*Y2, 3*Y2^2, 0, 0, ...
         4*X2^3, 6*X2^2*Y2, 6*X2*Y2^2, 4*Y2^3, 0;        
         %
         0, 0, 0, 0, 1, 0, 0, 2*X3, 2*Y3, 0, 0, ...
        3*X3^2, 4*X3*Y3, 3*Y3^2, 0, 0, ...
        4*X3^3, 6*X3^2*Y3, 6*X3*Y3^2, 4*Y3^3, 0];        
         % 2. derivative w.r.t. y
BB_6 =  [0, 0, 0, 0, 0, 2, 0, 0, 2*X1, 6*Y1, 0, 0, ...
         2*X1^2, 6*X1*Y1, 12*Y1^2, 0, 0, 2*X1^3, 6*X1^2*Y1, 12*X1*Y1^2, 20*Y1^3;    
         %          
         0, 0, 0, 0, 0, 2, 0, 0, 2*X2, 6*Y2, 0, 0, ...
         2*X2^2, 6*X2*Y2, 12*Y2^2, 0, 0, 2*X2^3, 6*X2^2*Y2, 12*X2*Y2^2, 20*Y2^3;              
         %
         0, 0, 0, 0, 0, 2, 0, 0, 2*X3, 6*Y3, 0, 0, ...
         2*X3^2, 6*X3*Y3, 12*Y3^2, 0, 0, 2*X3^3, 6*X3^2*Y3, 12*X3*Y3^2, 20*Y3^3];              
         % normal derivatives
BB_7 =  [ 0, C4, S4, 2*C4*X4, S4*X4+C4*Y4, 2*S4*Y4, ...
          3*C4*X4^2, C4*2*X4*Y4+S4*X4^2, C4*Y4^2+S4*2*X4*Y4, S4*3*Y4^2, ...
          C4*4*X4^3, C4*3*X4^2*Y4+S4*X4^3, C4*2*X4*Y4^2+S4*2*X4^2*Y4, ...
          C4*Y4^3+S4*3*X4*Y4^2, S4*4*Y4^3,...
          C4*5*X4^4, C4*4*X4^3*Y4+S4*X4^4, C4*3*X4^2*Y4^2+S4*2*X4^3*Y4,...
          +C4*2*X4*Y4^3+S4 *3*X4^2*Y4^2, C4*Y4^4+S4*4*X4*Y4^3, S4*5*Y4^4;
          %
          0, C5, S5, 2*C5*X5, S5*X5+C5*Y5, 2*S5*Y5, ...
          3*C5*X5^2, C5*2*X5*Y5+S5*X5^2, C5*Y5^2+S5*2*X5*Y5, S5*3*Y5^2, ...
          C5*4*X5^3, C5*3*X5^2*Y5+S5*X5^3, C5*2*X5*Y5^2+S5*2*X5^2*Y5, ...
          C5*Y5^3+S5*3*X5*Y5^2, S5*4*Y5^3,...
          C5*5*X5^4, C5*4*X5^3*Y5+S5*X5^4, C5*3*X5^2*Y5^2+S5*2*X5^3*Y5,...
          +C5*2*X5*Y5^3+S5*3*X5^2*Y5^2, C5*Y5^4+S5*4*X5*Y5^3, S5*5*Y5^4;
          %
          0, C6, S6, 2*C6*X6, S6*X6+C6*Y6, 2*S6*Y6, ...
          3*C6*X6^2, C6*2*X6*Y6+S6*X6^2, C6*Y6^2+S6*2*X6*Y6, S6*3*Y6^2, ...
          C6*4*X6^3, C6*3*X6^2*Y6+S6*X6^3, C6*2*X6*Y6^2+S6*2*X6^2*Y6, ...
          C6*Y6^3+S6*3*X6*Y6^2, S6*4*Y6^3, ...
          C6*5*X6^4, C6*4*X6^3*Y6+S6*X6^4, C6*3*X6^2*Y6^2+S6*2*X6^3*Y6,...
          +C6*2*X6*Y6^3+S6*3*X6^2*Y6^2, C6*Y6^4+S6*4*X6*Y6^3, S6*5*Y6^4];
            
BBA = [BB_1(1,:);BB_2(1,:);BB_3(1,:);BB_4(1,:);BB_5(1,:);BB_6(1,:)];
BBB = [BB_1(2,:);BB_2(2,:);BB_3(2,:);BB_4(2,:);BB_5(2,:);BB_6(2,:)];
BBC = [BB_1(3,:);BB_2(3,:);BB_3(3,:);BB_4(3,:);BB_5(3,:);BB_6(3,:)];

BB = [BBA;BBB;BBC;BB_7];
BBINV = inv(BB);

x = U(1); y = U(2); 
PP = [1,x,y,x^2,x*y,y^2,x^3,x^2*y,x*y^2,y^3, ...
      x^4, x^3*y,x^2*y^2,x*y^3,y^4, x^5,x^4*y,x^3*y^2,x^2*y^3,x*y^4,y^5];
AUX = PP*BBINV; Y = COEFF'*AUX.';

